import { IMatrix } from "./matrix";
import { IActivity } from "./activity";
import { IDeviceButton } from "./deviceButton";
import { IDeviceConfig } from "./deviceConfig";
import { IHub } from "./hub";
import { ISequence } from "./sequence";

export interface IControlUnit {
  DisplayName: string;
  Activities: Array<IActivity>;
}

export interface IConfig {
  hubIp: string;
  EmitDevicesOnStartup: boolean;
  Matrix: IMatrix;
  ControlUnits: Array<IControlUnit>;
  DeviceButtons: Array<IDeviceButton>;
  Sequences: Array<ISequence>;
  Devices: Array<IDeviceConfig>;
  Hubs: Array<IHub>;
}
